import request from "@/utils/request";

//工况总览列表
export function listGongKuang(query) {
  return request({
    url: "/dt/dtSgbzsj/getGkzl",
    method: "get",
    params: query,
  });
}
//添加施工步骤
export function addShiGongProcess(data) {
  return request({
    url: "/dt/dtSgbzsj",
    method: "post",
    data: data,
  });
}
//删除施工步骤
export function delShiGongProcess(id) {
  return request({
    url: "/dt/dtSgbzsj/" + id,
    method: "delete",
  });
}
//编辑施工步骤
export function updateShiGongProcess(data) {
  return request({
    url: "/dt/dtSgbzsj",
    method: "put",
    data: data,
  });
}
//查询单条施工步骤
export function getSingleStep(id) {
  return request({
    url: "/dt/dtSgbzsj/" + id,
    method: "get",
  });
}
//添加趟钻序列
export function addTangZuanList(data) {
  return request({
    url: "/dt/dtTzxl",
    method: "post",
    data: data,
  });
}
//编辑趟钻序列和是否锁定
export function updateTangZuanList(data) {
  return request({
    url: "/dt/dtTzxl",
    method: "put",
    data: data,
  });
}
//删除趟钻序列
export function delTangZuanList(id) {
  return request({
    url: "/dt/dtTzxl/" + id,
    method: "delete",
  });
}
//查看趟钻序列
export function getTZList(id) {
  return request({
    url: "/dt/dtTzxl/" + id,
    method: "get",
  });
}
//添加趟钻序列详细信息
export function addTangZuanListDetail(data) {
  return request({
    url: "/dt/dtTzxlxx",
    method: "post",
    data: data,
  });
}
//编辑趟钻序列详细信息
export function updateTangZuanListDetail(data) {
  return request({
    url: "/dt/dtTzxlxx",
    method: "put",
    data: data,
  });
}
//删除趟钻序列详细信息
export function delTangZuanListDetail(id) {
  return request({
    url: "/dt/dtTzxlxx/" + id,
    method: "delete",
  });
}
// 查看趟钻序列详细信息
export function getTangZuanListDetail(id) {
  return request({
    url: "/dt/dtTzxlxx/" + id,
    method: "get",
  });
}
//查询趟钻序列结果
export function listTzxljg(query) {
  return request({
    url: "/lj/ljTzxxjg/listJg",
    method: "get",
    params: query,
  });
}
//添加趟钻信息
export function addTzxljg(data) {
  return request({
    url: "/dt/dtTzxl/addTzAndXx",
    method: "post",
    data: data,
  });
}
//更新趟钻结果
export function updateTzxljg(data) {
  return request({
    url: "/lj/ljTzxxjg/plgx",
    method: "post",
    data: data,
  });
}
